PETSc version 3.15.5
Fix/Edit manual page

# VecAssemblyBegin

Begins assembling the vector. This routine should be called after completing all calls to VecSetValues().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAssemblyBegin(Vec vec)

Collective on Vec

### Input Parameter

| vec | - the vector

### See Also

VecAssemblyEnd(), VecSetValues()

### Level

beginner

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/tutorials/ex2.c.html
src/vec/vec/tutorials/ex3.c.html
src/vec/vec/tutorials/ex5.c.html
src/vec/vec/tutorials/ex8.c.html
src/vec/vec/tutorials/ex9.c.html
src/vec/vec/tutorials/ex10.c.html
src/vec/vec/tutorials/ex15.c.html
src/vec/vec/tutorials/ex18.c.html
src/vec/vec/tutorials/ex44.c.html
src/vec/vec/tutorials/ex2f.F.html
src/vec/vec/tutorials/ex3f.F.html

### Implementations

VecAssemblyBegin_MPI in src/vec/vec/impls/mpi/pdvec.c
VecAssemblyBegin_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages